# hcatitles
This program will update the png file found at `D:\OBS Assets\Overlays\title.png`

## Setting up the build environment
Making the assumption that python is installed in `C:\Program Files\Python39` and Develmpent is being done under `D:\Development`

Pull a copy of this project from git:
```
D:\
cd \development
git clone https://git.elder-geek.net/Harvest/hcatitles.git
```

Then setup this foulder with a virtual environment:
```
cd hcatitles
& "C:\Program Files\Python39\python" -m venv venv
```

Activate the virtual enviroment:
```
venv\Script\activate
```

Update `pip `and install requirments:
```
python -m pip install --upgrade pip
pip install -r requisments.txt
```

Testing code after making edits:
```
python hcatitiles.py
```

To create an executable in `D:\Development\hcatitles\dist`:
```
pyinstaller hcatitles.spec
```


## To Activate the virtual enviroment from a new DOS prompt
```
D:\
cd \development\hcatitles
venv\Scripts\activate
```

When done working in the virtual enviroment:
```
deactivate
```


## First time run of pyinstaller to generate hcatitles.spec
Windows uses `^` to continues a command on the next line.
```
pyinstaller --onefile --windowed --icon projector.ico ^
            --add-data "blank_title.png:." ^
            --add-data "tahoma.ttf:." ^
			--add-data "tahomabd.ttf:."  ^
			--add-data "projector.ico:." ^
			hcatitles.py
 ```